Thursday, May 23, 2024
 Popular · Latest · Hot · Upcoming
2
rated 0 times [  2] [ 0]  / answers: 1 / hits: 2407  / 2 Years ago, wed, january 19, 2022, 9:29:28

I'm trying to install Dans Guardian on a virtual machine. The instructions ask me to run the ./configure script and then execute the command make install. The configure script runs fine but the make install throws errors.



Making all in src
make[2]: Entering directory `/webmin/dansguardian-2.10/src'
g++ -DHAVE_CONFIG_H -I. -I.. -D__CONFFILE='"/usr/local/etc/dansguardian/dansguardian.conf"' -D__LOGLOCATION='"/usr/local/var/log/dansguardian/"' -D__PIDDIR='"/usr/local/var/run"' -D__PROXYUSER='"nobody"' -D__PROXYGROUP='"nobody"' -D__CONFDIR='"/usr/local/etc/dansguardian"' -g -O2 -MT dansguardian-fancy.o -MD -MP -MF .deps/dansguardian-fancy.Tpo -c -o dansguardian-fancy.o `test -f 'downloadmanagers/fancy.cpp' || echo './'`downloadmanagers/fancy.cpp
downloadmanagers/fancy.cpp: In member function âstd::string fancydm::timestring(int)â:
downloadmanagers/fancy.cpp:507:72: error: âsnprintfâ was not declared in this scope
make[2]: *** [dansguardian-fancy.o] Error 1
make[2]: Leaving directory `/webmin/dansguardian-2.10/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/webmin/dansguardian-2.10'
make: *** [all] Error 2


I'm running 12.04 LTS server x64


More From » 12.04

 Answers
4

Dan's Guardian 2.10 (the version you're trying to compile) is available in the official 12.04 repositories.



Simply run:



sudo apt-get install dansguardian

[#37042] Friday, January 21, 2022, 2 Years  [reply] [flag answer]
Only authorized users can answer the question. Please sign in first, or register a free account.
inaterested

Total Points: 500
Total Questions: 104
Total Answers: 92

Location: Virgin Islands (U.S.)
Member since Fri, May 7, 2021
3 Years ago
inaterested questions
Fri, Aug 12, 22, 21:24, 2 Years ago
Wed, Apr 27, 22, 17:14, 2 Years ago
Tue, Oct 26, 21, 20:41, 3 Years ago
;